### File

`dlnode.ts`

### Description

Node implementation class. A node is a vertex in the list which contains data and pointers to the next node and previous node.

### Index

###### Properties

- Private _data
- Private _next
- Private _previous

###### Accessors

- data
- next
- previous

### Constructor

`constructor()`
Defined in dlnode.ts:18

### Properties

Private _data
Type : `T | null`
Default value : `null`
Defined in dlnode.ts:8
The data contained in the node.

Private _next
Type : `DLNode<T> | null`
Default value : `null`
Defined in dlnode.ts:13
The edge or pointer to the next node.

Private _previous
Type : `DLNode<T> | null`
Default value : `null`
Defined in dlnode.ts:18
The edge or pointer to the previous node.

### Accessors

data
get `data()`
Defined in dlnode.ts:22
set `data(data)`
Defined in dlnode.ts:32

Parameters :

Name | Optional
data | No

Returns : `void`

next
get `next()`
Defined in dlnode.ts:25
set `next(next)`
Defined in dlnode.ts:35

Parameters :

Name | Optional
next | No

Returns : `void`

previous
get `previous()`
Defined in dlnode.ts:28
set `previous(previous)`
Defined in dlnode.ts:38

Parameters :

Name | Optional
previous | No

Returns : `void`

    export class DLNode<T> {
        /**
         * The data contained in the node.
         */
        private _data : T | null = null;

        /**
         * The edge or pointer to the next node.
         */
        private _next : DLNode<T> | null = null;

        /**
         * The edge or pointer to the previous node.
         */
        private _previous : DLNode<T> | null = null;

        constructor() {}

        get data() : T | null {
            return this._data;
        }
        get next() : DLNode<T> | null {
            return this._next;
        }
        get previous() : DLNode<T> | null {
            return this._previous;
        }

        set data( data : T | null ) {
            this._data = data;
        }
        set next( next : DLNode<T> | null ) {
            this._next = next;
        }
        set previous( previous : DLNode<T> | null ) {
            this._previous = previous;
        }
    }

# result-matching ""

# No results matching ""